summaryrefslogtreecommitdiffstats
path: root/tests/dnscache
diff options
context:
space:
mode:
Diffstat (limited to 'tests/dnscache')
-rw-r--r--tests/dnscache10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/dnscache b/tests/dnscache
new file mode 100644
index 0000000..e6e92ab
--- /dev/null
+++ b/tests/dnscache
@@ -0,0 +1,10 @@
+ apk_add $@
+ /etc/init.d/$@ start
+ pidof $@ >/dev/null
+ /etc/init.d/$@ stop
+ i=10; while pidof $@; do \
+ [ $i -eq 0 ] && exit 1; \
+ i=$((i - 1)); \
+ sleep 1; \
+ done
+ apk_del $@